commit 5a8d0deed8e89b60f7a08a9e28d02eaa1079f6a7
Author: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Date:   1344620275 -0500

    Update for new style API

diff --git a/sip/tdefx/kstyle.sip b/sip/tdefx/kstyle.sip
index 02e3fe3..17a03b9 100644
--- a/sip/tdefx/kstyle.sip
+++ b/sip/tdefx/kstyle.sip
@@ -86,19 +86,22 @@ public:
         KPM_ListViewBranchThickness
     };
 
-    int                  kPixelMetric (KStyle::KStylePixelMetric, const TQWidget* = 0) const;
-    void                 polish (TQWidget*);
-    void                 unPolish (TQWidget*);
-    void                 polishPopupMenu (TQPopupMenu*);
-    void                 drawPrimitive (PrimitiveElement, TQPainter*, const TQRect&, const TQColorGroup&, SFlags = Style_Default , const TQStyleOption& = TQStyleOption (TQStyleOption ::Default )) const;
-    void                 drawControl (ControlElement, TQPainter*, const TQWidget*, const TQRect&, const TQColorGroup&, SFlags = Style_Default , const TQStyleOption& = TQStyleOption (TQStyleOption ::Default )) const;
-    void                 drawComplexControl (ComplexControl, TQPainter*, const TQWidget*, const TQRect&, const TQColorGroup&, SFlags = Style_Default , SCFlags = SC_All , SCFlags = SC_None , const TQStyleOption& = TQStyleOption (TQStyleOption ::Default )) const;
-    SubControl           querySubControl (ComplexControl, const TQWidget*, const TQPoint&, const TQStyleOption& = TQStyleOption (TQStyleOption ::Default )) const;
-    TQRect                querySubControlMetrics (ComplexControl, const TQWidget*, SubControl, const TQStyleOption& = TQStyleOption (TQStyleOption ::Default )) const;
-    int                  pixelMetric (PixelMetric, const TQWidget* = 0) const;
-    TQRect                subRect (SubRect, const TQWidget*) const;
-    TQPixmap              stylePixmap (StylePixmap, const TQWidget* = 0, const TQStyleOption& = TQStyleOption (TQStyleOption ::Default )) const;
-    int                  styleHint (StyleHint, const TQWidget* = 0, const TQStyleOption& = TQStyleOption (TQStyleOption ::Default ), TQStyleHintReturn* = 0) const;
+    int                  kPixelMetric( KStylePixelMetric kpm, TQStyleControlElementData ceData, ControlElementFlags elementFlags, const TQWidget* widget = 0 ) const;
+    void                 polish( TQStyleControlElementData ceData, ControlElementFlags elementFlags, void * );
+    void                 unPolish( TQStyleControlElementData ceData, ControlElementFlags elementFlags, void * );
+    void                 polishPopupMenu( TQStyleControlElementData ceData, ControlElementFlags elementFlags, void *ptr );
+    void                 drawPrimitive( PrimitiveElement, TQPainter*, TQStyleControlElementData, ControlElementFlags, const TQRect&, const TQColorGroup&, SFlags = Style_Default, const TQStyleOption& = TQStyleOption::SO_Default ) const;
+    void                 drawControl( ControlElement, TQPainter*, TQStyleControlElementData, ControlElementFlags, const TQRect&, const TQColorGroup&, SFlags = Style_Default, const TQStyleOption& = TQStyleOption::SO_Default, const TQWidget* = 0 ) const;
+    void                 drawComplexControl( ComplexControl, TQPainter*, TQStyleControlElementData, ControlElementFlags, const TQRect&, const TQColorGroup&, SFlags = Style_Default, SCFlags = SC_All, SCFlags = SC_None, const TQStyleOption& = TQStyleOption::SO_Default, const TQWidget* = 0 ) const;
+    SubControl           querySubControl( ComplexControl, TQStyleControlElementData, ControlElementFlags, const TQPoint&, const TQStyleOption& = TQStyleOption::SO_Default, const TQWidget* = 0 ) const;
+    TQRect               querySubControlMetrics( ComplexControl, TQStyleControlElementData, ControlElementFlags, SubControl, const TQStyleOption& = TQStyleOption::SO_Default, const TQWidget* = 0 ) const;
+    int                  pixelMetric( PixelMetric, TQStyleControlElementData, ControlElementFlags, const TQWidget* = 0 ) const;
+    TQRect               subRect( SubRect, const TQStyleControlElementData, const ControlElementFlags, const TQWidget* = 0 ) const;
+    TQPixmap             stylePixmap( StylePixmap, TQStyleControlElementData, ControlElementFlags, const TQStyleOption& = TQStyleOption::SO_Default, const TQWidget* = 0 ) const;
+    int                  styleHint( StyleHint, TQStyleControlElementData, ControlElementFlags, const TQStyleOption& = TQStyleOption::SO_Default, TQStyleHintReturn* = 0, const TQWidget* = 0 ) const;
+
+    // New API
+    virtual void drawKStylePrimitive( KStylePrimitive, TQPainter*, TQStyleControlElementData, ControlElementFlags, const TQRect&, const TQColorGroup&, SFlags = Style_Default, const TQStyleOption& = TQStyleOption::SO_Default, const TQWidget* = 0 ) const;
 
 protected:
     bool                 eventFilter (TQObject*, TQEvent*);
